namespace _2024._03._04___2
{
    public partial class Szokoev : Form
    {
        public Szokoev()
        {
            InitializeComponent();
        }

        private void Check_Click(object sender, EventArgs e)
        {
            int year = Convert.ToInt32(Ev.Text);

            if ((year % 4 == 0 && year % 100 != 0) || year % 400 == 0)
            {
                Eredmeny.Text = "Az év: szökőév!";
            }

            else
            {
                Eredmeny.Text = "Az év: nem szökőév!";
            }
        }
    }
}